#Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.  
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_VV_Microdati_2020_Escursioni_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_VV_A2020_Escursioni<- read.delim2 (fileInput,  header=T, sep="	",  quote="",  na.strings = ".")
attr(DF_VV_A2020_Escursioni, "label") <- c(
"tipo record",
"mese di riferimento dei dati",
"anno di riferimento dei dati",
"numero d'ordine progressivo dell'individuo nell'anno",
"sesso",
"classi di eta' in anni compiuti",
"stato civile",
"regione di residenza",
"ripartizione geografica di residenza",
"titolo di studio piu' alto conseguito",
"condizione professionale oggettiva",
"posizione nella professione",
"settore di attivita' economica",
"condizione professionale soggettiva (autodichiarata)",
"tipo di orario di lavoro",
"tipo di rapporto di lavoro",
"codifica della professione lavorativa (Grandi gruppi)",
"Numero progressivo dell'escursione per ciascun individuo",
"destinazione principale: italia/estero",
"regione italiana o stato estero dell'UE di destinazione principale o macro-area geografica non UE",
"provincia italiana di destinazione principale",
"motivo prevalente dell'escursione",
"Filtro: Se hanno partecipato all'escursione altri componenti della famiglia",
"Numero totale di componenti familiari partecipanti all'escursione",
"Mezzo principale di trasporto",
"coefficiente di riporto per le stime di viaggi, escursioni e individui (turisti e non turisti) nel mese medio del trimestre",
"coefficiente di riporto per il calcolo dell'ammontare dei viaggi (abituali e non abituali) ed escursioni nel mese, nel trimestre e nell'anno",
"trimestre di riferimento dei dati",
"tipologia socio-demografica del comune di residenza")

tr_Fact <- factor(DF_VV_A2020_Escursioni$tr, 
levels=c("02", 
"03", 
"04"), 
labels=c("Record individuale", 
"Record viaggi", 
"Record escursioni")) 


sesso_Fact <- factor(DF_VV_A2020_Escursioni$sesso, 
levels=c("1", 
"2"), 
labels=c("Maschi", 
"Femmine")) 


eta5_Fact <- factor(DF_VV_A2020_Escursioni$eta5, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15"), 
labels=c("<=5 anni", 
"6-14 anni", 
"15-17 anni", 
"18-24 anni", 
"25-29 anni", 
"30-34 anni", 
"35-39 anni", 
"40-44 anni", 
"45-49 anni", 
"50-54 anni", 
"55-59 anni", 
"60-64 anni", 
"65-69 anni", 
"70-74 anni", 
">=75 anni")) 


staciv_Fact <- factor(DF_VV_A2020_Escursioni$staciv, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6"), 
labels=c("Celibe/nubile'", 
"Coniugato'", 
"Separato di fatto", 
"Separato legalmente", 
"Divorziato", 
"Vedovo")) 


reg_Fact <- factor(DF_VV_A2020_Escursioni$reg, 
levels=c("010", 
"020", 
"030", 
"040", 
"050", 
"060", 
"070", 
"080", 
"090", 
"100", 
"110", 
"120", 
"130", 
"140", 
"150", 
"160", 
"170", 
"180", 
"190", 
"200"), 
labels=c("Piemonte", 
"Valle d'Aosta/Vallee' d'Aoste", 
"Lombardia", 
"Trentino A.Adige/Sudtirol", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna")) 


rip_Fact <- factor(DF_VV_A2020_Escursioni$rip, 
levels=c("1", 
"2", 
"3", 
"4", 
"5"), 
labels=c("Nord-ovest", 
"Nord-est", 
"Centro", 
"Sud", 
"Isole")) 


istr_Fact <- factor(DF_VV_A2020_Escursioni$istr, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"13", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22"), 
labels=c("Nessun titolo", 
"Licenza elementare", 
"Licenza media (licenza di avviamento professionale", 
"Dipl. di qualif prof di scuola second di II grado di 2-3 anni,che non permette iscriz univ", 
"Dipl. di istr second sup che permette accesso universita", 
"Dipl. di Accademia (Belle Arti,arte drammatica,Danza),Ist Sup Industrie Artistiche,Conserv di musica,Ist Musicale Pareggiato-vecchio ord.to", 
"Dipl. universitario di due/tre anni, Scuola diretta a fini speciali,altro diploma terziario non universitario", 
"Laurea di I livello - nuovo ordinamento (3 anni)", 
"Laurea - vecchio ordinamento (4/6 anni)", 
"Laurea spec/magistrale a ciclo unico - nuovo ordinamento (corsi di 5/6 anni)", 
"Laurea spec/magistrale - nuovo ordinamento (corsi di II liv di 2 anni)", 
"Dottorato di ricerca/diploma accademico di formazione alla ricerca", 
"Certificato di spec.ne tecnica superiore IFTS", 
"Dipl di tecnico superiore ITS (corsi biennali)", 
"Dipl accad di Alta Formazione Artistica, Musicale e Coreutica (AFAM) di I livello", 
"Dipl accad di Alta Formazione Artistica, Musicale e Coreutica (AFAM) di II livello", 
"Master univ I liv/Dipl accad perfez.to o Master I liv/Diploma accad spec.ne I liv", 
"Master univ II liv/ Dip accad perfez.to o Master di II livello/ Dipl acc spec II livello", 
"Dipl di specializzazione univ", 
"Attestato IeFP di qualifica professionale triennale (operatore,corso trien)/dipl prof IeFP di tecnico(4.to anno)")) 


condogg_Fact <- factor(DF_VV_A2020_Escursioni$condogg, 
levels=c("01", 
"02", 
"03"), 
labels=c("Occupato", 
"In cerca di occupazione", 
"Inattivo")) 


posiz_Fact <- factor(DF_VV_A2020_Escursioni$posiz, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13"), 
labels=c("Dirigente", 
"Quadro", 
"Impiegato", 
"Operaio", 
"Apprendista", 
"Lavorante a domicilio per conto d'imprese", 
"Imprenditore", 
"Libero professionista", 
"Lavoratore in proprio", 
"Socio di cooperativa", 
"Coadiuvante nell'azienda di un familiare", 
"Collaboratore coordinato e continuativo (con o senza progetto)", 
"Prestatore d'opera occasionale")) 


ateco10_Fact <- factor(DF_VV_A2020_Escursioni$ateco10, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10"), 
labels=c("Agricoltura, caccia e pesca'", 
"Industria'", 
"Costruzioni'", 
"Commercio, trasporto, magazzinaggio, alberghi, ristoranti", 
"Informazione e comunicazione", 
"Attivita' finanziarie", 
"Attivita' immobiliari", 
"Attivita' professionali, scientifiche, attivita' amministrative, servizi di supporto", 
"Pubblica amministrazione, Difesa, Istruzione, Sanita', altri servizi sociali", 
"Altri servizi")) 


cond_Fact <- factor(DF_VV_A2020_Escursioni$cond, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07"), 
labels=c("Occupato", 
"In cerca di prima occupazione", 
"In cerca di nuova occupazione", 
"Casalinga", 
"Studente", 
"Persona ritirata dal lavoro", 
"In altra condizione")) 


ORARIO_Fact <- factor(DF_VV_A2020_Escursioni$ORARIO, 
levels=c("1", 
"2"), 
labels=c("A tempo pieno", 
"A tempo parziale")) 


RAPP_Fact <- factor(DF_VV_A2020_Escursioni$RAPP, 
levels=c("1", 
"2"), 
labels=c("A tempo determinato", 
"A tempo indeterminato")) 


CODPROF_Fact <- factor(DF_VV_A2020_Escursioni$CODPROF, 
levels=c("1", 
"2", 
"3", 
"4", 
"5", 
"6", 
"7", 
"8", 
"9"), 
labels=c("LEGISLATORI, IMPRENDITORI E ALTA DIRIGENZA", 
"PROFESSIONI INTELLETTUALI, SCIENTIFICHE E DI ELEVATA SPECIALIZZAZIONE", 
"PROFESSIONI TECNICHE", 
"PROFESSIONI ESECUTIVE NEL LAVORO D'UFFICIO", 
"PROFESSIONI QUALIFICATE NELLE ATTIVITA' COMMERCIALI E NEI SERVIZI", 
"ARTIGIANI, OPERAI SPECIALIZZATI E AGRICOLTORI", 
"CONDUTTORI DI IMPIANTI, OPERAI DI MACCHINARI FISSI E MOBILI E CONDUCENTI DI VEICOLI", 
"PROFESSIONI NON QUALIFICATE", 
"FORZE ARMATE")) 


DEST_EIE_Fact <- factor(DF_VV_A2020_Escursioni$DEST_EIE, 
levels=c("1", 
"2"), 
labels=c("Italia", 
"Estero")) 


DEST_ERE_Fact <- factor(DF_VV_A2020_Escursioni$DEST_ERE, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"121", 
"122", 
"123", 
"124", 
"125", 
"126", 
"127", 
"128", 
"130", 
"132", 
"133", 
"134", 
"136", 
"137", 
"138", 
"139", 
"142", 
"159", 
"161", 
"163", 
"164", 
"165", 
"166", 
"167", 
"169", 
"172", 
"200", 
"235", 
"300", 
"400", 
"500", 
"600"), 
labels=c("Piemonte", 
"Valle d'Aosta-Vallee' d'Aoste", 
"Lombardia", 
"Trentino-Alto Adige/Sud Tirol", 
"Veneto", 
"Friuli-Venezia Giulia", 
"Liguria", 
"Emilia-Romagna", 
"Toscana", 
"Umbria", 
"Marche", 
"Lazio", 
"Abruzzo", 
"Molise", 
"Campania", 
"Puglia", 
"Basilicata", 
"Calabria", 
"Sicilia", 
"Sardegna", 
"Austria", 
"Belgio", 
"Danimarca", 
"Finlandia", 
"Francia", 
"Germania", 
"Grecia", 
"Irlanda", 
"Lussemburgo", 
"Olanda", 
"Polonia", 
"Portogallo", 
"Repubblica Ceca", 
"Repubblica Slovacca", 
"Spagna", 
"Svezia", 
"Ungheria", 
"Bulgaria", 
"Cipro", 
"Estonia", 
"Latvia", 
"Lituania", 
"Malta", 
"Romania", 
"Slovenia", 
"Croazia", 
"Paesi non UE (escluso Regno Unito)", 
"Regno Unito (non UE dal 2020)", 
"Nord America", 
"Centro-Sud America", 
"Africa", 
"Asia-Oceania")) 


DEST_EPR_Fact <- factor(DF_VV_A2020_Escursioni$DEST_EPR, 
levels=c("001", 
"002", 
"003", 
"004", 
"005", 
"006", 
"007", 
"008", 
"009", 
"010", 
"011", 
"012", 
"013", 
"014", 
"015", 
"016", 
"017", 
"018", 
"019", 
"020", 
"021", 
"022", 
"023", 
"024", 
"025", 
"026", 
"027", 
"028", 
"029", 
"030", 
"031", 
"032", 
"033", 
"034", 
"035", 
"036", 
"037", 
"038", 
"039", 
"040", 
"041", 
"042", 
"043", 
"044", 
"045", 
"046", 
"047", 
"048", 
"049", 
"050", 
"051", 
"052", 
"053", 
"054", 
"055", 
"056", 
"057", 
"058", 
"059", 
"060", 
"061", 
"062", 
"063", 
"064", 
"065", 
"066", 
"067", 
"068", 
"069", 
"070", 
"071", 
"072", 
"073", 
"074", 
"075", 
"076", 
"077", 
"078", 
"079", 
"080", 
"081", 
"082", 
"083", 
"084", 
"085", 
"086", 
"087", 
"088", 
"089", 
"090", 
"091", 
"092", 
"093", 
"094", 
"095", 
"096", 
"097", 
"098", 
"099", 
"100", 
"101", 
"102", 
"103", 
"104", 
"105", 
"106", 
"107", 
"108", 
"109", 
"110", 
"111", 
"999"), 
labels=c("Torino", 
"Vercelli", 
"Novara", 
"Cuneo", 
"Asti", 
"Alessandria", 
"Valle d'Aosta/Vallee' d'Aoste", 
"Imperia", 
"Savona", 
"Genova", 
"La Spezia", 
"Varese", 
"Como", 
"Sondrio", 
"Milano", 
"Bergamo", 
"Brescia", 
"Pavia", 
"Cremona", 
"Mantova", 
"Bolzano/Bozen", 
"Trento", 
"Verona", 
"Vicenza", 
"Belluno", 
"Treviso", 
"Venezia", 
"Padova", 
"Rovigo", 
"Udine", 
"Gorizia", 
"Trieste", 
"Piacenza", 
"Parma", 
"Reggio nell'Emilia", 
"Modena", 
"Bologna", 
"Ferrara", 
"Ravenna", 
"Forli'-Cesena", 
"Pesaro e Urbino", 
"Ancona", 
"Macerata", 
"Ascoli Piceno", 
"Massa-Carrara", 
"Lucca", 
"Pistoia", 
"Firenze", 
"Livorno", 
"Pisa", 
"Arezzo", 
"Siena", 
"Grosseto", 
"Perugia", 
"Terni", 
"Viterbo", 
"Rieti", 
"Roma", 
"Latina", 
"Frosinone", 
"Caserta", 
"Benevento", 
"Napoli", 
"Avellino", 
"Salerno", 
"L'Aquila", 
"Teramo", 
"Pescara", 
"Chieti", 
"Campobasso", 
"Foggia", 
"Bari", 
"Taranto", 
"Brindisi", 
"Lecce", 
"Potenza", 
"Matera", 
"Cosenza", 
"Catanzaro", 
"Reggio di Calabria", 
"Trapani", 
"Palermo", 
"Messina", 
"Agrigento", 
"Caltanissetta", 
"Enna", 
"Catania", 
"Ragusa", 
"Siracusa", 
"Sassari", 
"Nuoro", 
"Cagliari", 
"Pordenone", 
"Isernia", 
"Oristano", 
"Biella", 
"Lecco", 
"Lodi", 
"Rimini", 
"Prato", 
"Crotone", 
"Vibo Valentia", 
"Verbano-Cusio-Ossola", 
"Olbia-Tempio", 
"Ogliastra", 
"Medio Campidano", 
"Carbonia-Iglesias", 
"Monza e della Brianza", 
"Fermo", 
"Barletta-Andria-Trani", 
"Sud Sardegna", 
"Non sa")) 


MOTESC_Fact <- factor(DF_VV_A2020_Escursioni$MOTESC, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11"), 
labels=c("Piacere, svago, vacanza", 
"Visita a parenti e/o amici", 
"Motivo religioso, pellegrinaggio", 
"Cultura", 
"Trattamento di salute, cura termale/Visite e cure mediche", 
"Shopping", 
"Motivi di lavoro", 
"Accompagnare un familiare/parente/amico", 
"Bellezze naturali", 
"Gastronomia, folklore o spettacoli", 
"Altro motivo, Non sa/Non risponde")) 


PARTESC_Fact <- factor(DF_VV_A2020_Escursioni$PARTESC, 
levels=c("1", 
"2"), 
labels=c("si", 
"no")) 


NPARTESC_Fact <- factor(DF_VV_A2020_Escursioni$NPARTESC, 
levels=c("01", 
"02", 
"03", 
"04", 
"05"), 
labels=c("1", 
"2", 
"3", 
"4", 
"5 e piu' partecipanti")) 


EMEZZO_Fact <- factor(DF_VV_A2020_Escursioni$EMEZZO, 
levels=c("01", 
"02", 
"03", 
"04", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11"), 
labels=c("Aereo", 
"Treno", 
"Nave, battello, motoscafo", 
"Auto a noleggio", 
"Auto propria, di parenti/amici", 
"Pullman turistico", 
"Pullman di linea", 
"Camper, autocaravan", 
"Moto, Motoscooter", 
"Altro", 
"Altro a motore")) 


TRIM_Fact <- factor(DF_VV_A2020_Escursioni$TRIM, 
levels=c("01", 
"02", 
"03", 
"04"), 
labels=c("Gennaio-Marzo", 
"Aprile-Giugno", 
"Luglio-Settembre", 
"Ottobre-Dicembre")) 


DOMINIO_Fact <- factor(DF_VV_A2020_Escursioni$DOMINIO, 
levels=c("1", 
"2", 
"3"), 
labels=c("Comuni centro dell'area metropolitana", 
"Comuni periferia dell'area metropolitana e comuni con 50.001 ab. e piu'", 
"Altri comuni fino a 50.000 ab.")) 

save.image (file="DF_VV_A2020_Escursioni.RData")
